# Azure ML 2
During this lesson you will learn the fundamentals of Azure ML Python SDK. Specifically, it will be focus on version 2 (azure-ai-ml package). Azure ML is used in machine learning experiments to explore, prepare and manage not only data but also ML models. Additionally, cloud resources can be managed from the code itself (infrastructure as code, IaC) including monitoring and logging. Moreover, machine learning experiments and models can be organized using MLflow, which is incorporated in the version 2 of the Python SDK. Finally, this SDK is able to deploy web services to convert your trained models into RESTful services.

The training includes theory and hands-on exercises. After this training you will have gained knowledge about:

- Fundamentals of Azure ML SDK v2
- Define workspaces, compute targets, datasets and environments using IaC
- Azure ML best practices for model and data management
- MLFlow
- Hyperparameter tuning
- Deploy models as online endpoints
- Lab session to get hands-on experience with these tools